pulsar_spectra
======

A simple interface to record pulsar's flux density measurements for a large number of papers and perform fitting of spectral models.


Installation
=====
You can install via pip using
`pip install pulsar_spectra` (stable)

Or you can clone or download the repository and then use `python setup.py install` or `pip install .`


Documentation
=====
Some basic documentation can be found [here](https://pulsar-spectra.readthedocs.io/en/latest/)


Journals
=====
The following are the references that we have or are planning to turn into catalogues. If you would like to add another please raise an [issue](https://github.com/NickSwainston/pulsar_spectra/issues).
- [x] [ATNF pulsar catalogue](https://www.atnf.csiro.au/research/pulsar/psrcat/)
- [x] [Sieber (1973)](https://ui.adsabs.harvard.edu/abs/1973A%26A....28..237S/abstract)
- [x] [Bartel et al. (1978)](https://ui.adsabs.harvard.edu/abs/1978A%26A....68..361B/abstract)
- [x] [Izvekova et al. (1981)](https://ui.adsabs.harvard.edu/abs/1981Ap%26SS..78...45I/abstract)
- [x] [Lorimer et al. (1995)](https://ui.adsabs.harvard.edu/abs/1995MNRAS.273..411L/abstract)
- [x] [van Ommen et al. (1997)](https://ui.adsabs.harvard.edu/abs/1997MNRAS.287..307V/abstract)
- [ ] [Maron et al. (2000)](https://ui.adsabs.harvard.edu/abs/2000A%26AS..147..195M/abstract)
- [x] [Malofeev et al. (2000)](https://ui.adsabs.harvard.edu/abs/2000ARep...44..436M/abstract)
- [x] [Karastergiou et al. (2005)](https://ui.adsabs.harvard.edu/abs/2005MNRAS.359..481K/abstract)
- [x] [Johnston et al. (2006)](https://ui.adsabs.harvard.edu/abs/2006MNRAS.369.1916J/abstract)
- [x] [Kijak et al. (2007)](https://ui.adsabs.harvard.edu/abs/2007A%26A...462..699K/abstract)
- [x] [Keith et al. (2011)](https://ui.adsabs.harvard.edu/abs/2011MNRAS.416..346K/abstract)
- [x] [Bates et al. (2011)](https://ui.adsabs.harvard.edu/abs/2011MNRAS.411.1575B/abstract)
- [x] [Kijak et al. (2011)](https://ui.adsabs.harvard.edu/abs/2011A%26A...531A..16K/abstract)
- [x] [Zakharenko et al. (2013)](https://ui.adsabs.harvard.edu/abs/2013MNRAS.431.3624Z/abstract)
- [x] [Dai et al. (2015)](https://ui.adsabs.harvard.edu/abs/2015MNRAS.449.3223D/abstract)
- [x] [Basu et al. (2016)](https://ui.adsabs.harvard.edu/abs/2016MNRAS.458.2509B/abstract)
- [x] [Bell et al. (2016)](https://ui.adsabs.harvard.edu/abs/2016MNRAS.461..908B/abstract)
- [x] [Bilous et al. (2016)](https://ui.adsabs.harvard.edu/abs/2016A%26A...591A.134B/abstract)
- [x] [Han et al. (2016)](https://ui.adsabs.harvard.edu/abs/2016RAA....16..159H/abstract)
- [ ] Can't find the full online table [Murphy et al. (2017)](https://ui.adsabs.harvard.edu/abs/2017PASA...34...20M/abstract)
- [x] [Kijak et al. (2017)](https://ui.adsabs.harvard.edu/abs/2017ApJ...840..108K/abstract)


- [x] [Hobbs et al. (2004)](https://ui.adsabs.harvard.edu/abs/2004MNRAS.352.1439H/abstract)


- [x] [Stovall et al. (2015)](https://ui.adsabs.harvard.edu/abs/2015ApJ...808..156S/abstract)
- [x] [Xue et al. (2017)](https://ui.adsabs.harvard.edu/abs/2017PASA...34...70X/abstract)
- [x] [Jankowski et al. (2018)](https://ui.adsabs.harvard.edu/abs/2018MNRAS.473.4436J/abstract)
- [x] [Bondonneu et al. (2020)](https://ui.adsabs.harvard.edu/abs/2020A%26A...635A..76B/abstract)
- [x] [Johnston et al. (2021)](https://ui.adsabs.harvard.edu/abs/2021MNRAS.502.1253J/abstract)


Status
=====
[![Documentation Status](https://readthedocs.org/projects/pulsar-spectra/badge/?version=latest)](https://pulsar-spectra.readthedocs.io/en/latest/?badge=latest)